# Generated by Django 3.0.2 on 2020-03-29 13:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestruc', '0029_visites_colonie'),
    ]

    operations = [
        migrations.CreateModel(
            name='Departement',
            fields=[
                ('insee_dep', models.CharField(blank=True, max_length=3, primary_key=True, serialize=False)),
                ('nom_dep_m', models.CharField(blank=True, max_length=50, null=True)),
                ('nom_dep', models.CharField(blank=True, max_length=45, null=True)),
            ],
            options={
                'ordering': ['nom_dep_m'],
            },
        ),
        migrations.CreateModel(
            name='Commune',
            fields=[
                ('insee_com', models.CharField(blank=True, max_length=5, primary_key=True, serialize=False)),
                ('nom_com_m', models.CharField(blank=True, max_length=50, null=True)),
                ('nom_com', models.CharField(blank=True, max_length=45, null=True)),
                ('insee_dep', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Departement')),
            ],
            options={
                'ordering': ['nom_com_m'],
            },
        ),
    ]
